PricingPeriod Class Reference
Date and time calculations

Time pricingperiod described by a number of a given time unit. More...

`#include <ql/experimental/commodities/pricingperiod.hpp>`

Inheritance diagram for PricingPeriod:
[legend]

## Public Member Functions

| PricingPeriod (const Date &startDate, const Date &endDate, const Date &paymentDate, const Quantity &quantity)
const Date & | paymentDate () const
const Quantity & | quantity () const
Public Member Functions inherited from DateInterval
| DateInterval (const Date &startDate, const Date &endDate)
const Date & | startDate () const
const Date & | endDate () const
bool | isDateBetween (Date date, bool includeFirst=true, bool includeLast=true) const
DateInterval | intersection (const DateInterval &di) const
bool | operator== (const DateInterval &rhs) const
bool | operator!= (const DateInterval &rhs) const

## Detailed Description

Time pricingperiod described by a number of a given time unit.